summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2018-12-24 16:37:23 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2019-01-11 11:24:54 +0000
commit1f420053793581e04322474bd5aa3d76ef3026cc (patch)
tree1c44595c847f38dd9eba740a3551b5a1bdd7cd6e
parent46c2519e19b7e99484b6beee98d8bc5deb623f98 (diff)
tcwg_kernel-bisect.sh: Try harder to bisect linux-next failures
Try mainline:master as last-resort baseline build. Change-Id: I3d3b03139e6052bb9254778e1f49d45319313ca8
-rwxr-xr-xtcwg_kernel-bisect.sh17
1 files changed, 13 insertions, 4 deletions
diff --git a/tcwg_kernel-bisect.sh b/tcwg_kernel-bisect.sh
index 12616c08..dada7b39 100755
--- a/tcwg_kernel-bisect.sh
+++ b/tcwg_kernel-bisect.sh
@@ -137,8 +137,7 @@ if [ x"$merge_base" != x"$good_rev" -a x"$origin" = x"linux-next.git" ]; then
../bisect-run.sh &
res=0 && wait $! || res=$?
if [ x"$res" != x"0" ]; then
- # With bad merge-base below bisect will fail.
- # Check if we can use linux-next/stable as our last resort.
+ # Check if we can use linux-next/stable as our pre-last resort.
echo "Testing linux_next:stable $merge_base (hoping for success)"
git checkout --detach refs/remotes/origin/stable
../bisect-run.sh &
@@ -146,8 +145,18 @@ if [ x"$merge_base" != x"$good_rev" -a x"$origin" = x"linux-next.git" ]; then
if [ x"$res" = x"0" ]; then
good_rev=$(git rev-parse HEAD)
else
- :
- # Below bisect will fail :-(
+ # Check if we can use linux-next/stable as our last resort.
+ mainline_master=$(git ls-remote git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git refs/heads/master | cut -f 1)
+ echo "Testing mainline_master $mainline_master (hoping for success)"
+ git checkout --detach $mainline_master
+ ../bisect-run.sh &
+ res=0 && wait $! || res=$?
+ if [ x"$res" = x"0" ]; then
+ good_rev=$(git rev-parse HEAD)
+ else
+ :
+ # Below bisect will fail :-(
+ fi
fi
else
: